Subject: Re: Regarding the l2-mtd branch in linux-next

From: Ezequiel Garcia <[email-masked]>
Date: Wed, 20 Nov 2013 16:45:22 -0300

On Wed, Nov 20, 2013 at 10:34:17AM -0800, Brian Norris wrote:
> Hi Ezequiel,
> 
> On Wed, Nov 20, 2013 at 08:46:55AM -0300, Ezequiel Garcia wrote:
> > Can you explain in detail the differences between l2-mtd/master and
> > l2-mtd/next?
> > 
> > I'm seeing linux-next merges the former, but instead maybe it should
> > be the latter?
> > 
> > What do you think?
> 
> I only created the l2-mtd.git 'next' branch recently because I don't
> think linux-next likes to see new stuff during the merge window that's
> not going into the current release cycle. So I just queued up stuff in a
> different branch temporarily, and I plan to bring it into 'master' on
> top of 3.13-rc1 once the merge window closes.
> 
> In answer to your second question, then, the inclusion of
> l2-mtd.git/master in linux-next is exactly as intended.
> 
> I am new at this whole maintainership thing, though, and I could be very
> wrong about the intended development process regarding linux-next and
> the merge window. I couldn't find much clear documentation regarding
> this process. I suppose it's something you learn over time. Any comments
> are welcome.
> 

Hm, I see. Well, I'm not an expert but the above sounds just about the
right thing to do.

Sorry for the noise!
-- 
Ezequiel García, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com